#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}

%{expand:%%define apache_version %(rpm -q apache-devel|sed 's/apache-devel-\([0-9].*\)-.*$/\1/')}
%{expand:%%define apache_release %(rpm -q apache-devel|sed 's/apache-devel-[0-9].*-\(.*\)$/\1/')}

%{expand:%%define mm_major %(mm-config --version|sed 's/MM \([0-9]\)\.\([0-9.].*\) \(.*\)$/\1/')}
%{expand:%%define mm_minor %(mm-config --version|sed 's/MM \([0-9]\)\.\([0-9.].*\) \(.*\)$/\2/')}
%define mm_version %{mm_major}.%{mm_minor}

%define name mod_throttle
%define version 3.1.2
%define release 5mdk

Summary: Bandwidth & Request Throttling module for apache
Name: %{name}
Version: %{version}
Release: %{release}
Group: System/Servers
URL: http://www.snert.com/Software/mod_throttle
Source0: http://www.snert.com/Software/mod_throttle/%{name}-%{version}.tar.bz2
Source1: %{name}.conf
License: Apache License

Prereq: apache = %{apache_version}
Prereq:	apache-common >= %{apache_version}
Prereq:	apache-conf >= %{apache_version}
Prereq: mm = %{mm_major}.%{mm_minor}

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

BuildRequires: ADVX-build >= 1.2
BuildRequires: apache-devel = 1.3.27


%description
This Apache module is intended to reduce the load on your server& bandwidth
enerated by popular virtual hosts, directories, locations, or users according
to supported polices (see below) that decide when to delay or refuse requests. 
Also mod_throttle can track and throttle incoming connections by IP address or
by authenticated remote user. 

%prep
%setup -q

%build


%{_sbindir}/apxs -I%{_includedir} -L%{_libdir} \
	-c %{name}.c

%install

rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/apache-extramodules
install -m 755 %{name}.so \
	%{buildroot}%{_libdir}/apache-extramodules

mkdir -p %{buildroot}%{ap_webdoc}
cp index.shtml %{buildroot}%{ap_webdoc}/%{name}.shtml

mkdir -p %{buildroot}%{ap_base}/conf
cp %{SOURCE1} %{buildroot}%{ap_base}/conf

cp CHANGES.txt ./changes.txt

%pre
#Check config file sanity
%AP13pre

%post
if [ $1 = "1" ]; then 
   #We're in Install mode, add module to the config files
   for config in %{ap_base}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
       %{_sbindir}/advxaddmod $config \
	extramodules/%{name}.so %{name}.c throttle_module \
	define=HAVE_THROTTLE addconf=conf/%{name}.conf
     fi
   done
   %ADVXpost
fi

if [ $1 -gt 1 ]; then 
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again 
   #in a way that the older module we're replacing won't try to erase (the 
   #post scripts were broken on some packages), and finally clean the module
   #specific config file so it's compatible with the upgrade.
   for config in %{ap_base}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
       %{_sbindir}/advxdelmod $config \
	extramodules/%{name}.so %{name}.c throttle_module \
	define=HAVE_THROTTLE addconf=conf/%{name}.conf
	$config
     fi
     if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
       %{_sbindir}/advxaddmod $config \
	extramodules/%{name}.so %{name}.c throttle_module \
	define=HAVE_THROTTLE addconf=conf/%{name}.conf 
     fi
   done
   %ADVXpost
fi

%postun
if [ $1 = "0" ]; then 
   for config in %{ap_base}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
       %{_sbindir}/advxdelmod $config \
	extramodules/%{name}.so %{name}.c throttle_module \
	define=HAVE_THROTTLE addconf=conf/%{name}.conf
     fi
   done
   %ADVXpost
fi

%files
%defattr(-,root,root)
%doc changes.txt
%{ap_webdoc}/*
%{_libdir}/apache-extramodules/%{name}.so
%config(noreplace) %{ap_base}/conf/%{name}.conf

%clean
rm -rf %{buildroot}

%changelog
* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.1.2-5mdk
- new macros from ADVX-build

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1.2-4mdk
- rebuild

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.1.2-2mdk
- Rebuild for Cooker

* Mon Oct 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.1.2-2mdk
- Rebuild with new apache

* Wed Oct 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.1.2-1mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- Initial release
